#
# spec file for package dpbox (Version 6.00.00)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  apache2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel apache2 apache2-devel apache2-prefork autoconf automake binutils expat gcc gdbm gettext libapr0 libtool perl rpm

Name:         dpbox
License:      GPL
Group:        Productivity/Hamradio/Packet
Requires:     tnt
Prereq:       /usr/sbin/useradd /usr/sbin/groupadd
Autoreqprov:  on
Version:      6.00.00
Release:      888
Source:       %{name}-60000.tar.bz2
Patch:        %{name}-%{version}.dif
Url:          http://home.snafu.de/wahlm/dl8hbs/dpbox.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Amateur Packet Radio Mailbox

%description
DPBOX is a multi-protocol and multi-user BBS. This version handles up
to 200 simultaneous users. For stored messages there is a limit of
32767*32767 messages in total. Storing 30,000 messages or more is quite
often the case with DPBOX.



Authors:
--------
    Joachim Schurig, DL8HBS <jschurig@zedat.fu-berlin.de>
    Mark Wahl, DL4YBG <wahlm@berlin.snafu.de>
    Daniel Gtz, DL3NEU <info@daniel-goetz.de>
    Berndt Josef Wulf, VK5ABN <wulf@dingo.ping.net.au>

%prep
%setup -n %{name}-%{version}
%patch

%build
cd source
%define prefix   /usr
%define confdir /etc/dpbox
%define initdir /etc/init.d
%define doclink %{_defaultdocdir}/dpbox
%define spooldir /var/spool/dpbox
%define logdir /var/log/dpbox
%define apache_serverroot %(apxs2 -q datadir 2>/dev/null || apxs -q PREFIX)
%define cgidir %apache_serverroot/cgi-bin
%define httpdir %apache_serverroot/htdocs
%define bindir %{prefix}/bin
%define sbindir %{prefix}/sbin
%define sharedir %{prefix}/share/dpbox
%define docdir %{sharedir}/doc
%define landir %{sharedir}/language
CFLAGS="$RPM_OPT_FLAGS"
make prefix=%{prefix} \
	confdir=%{confdir} \
	initdir=%{initdir} \
	doclink=%{doclink} \
	spooldir=%{spooldir} \
	logdir=%{logdir} \
	cgidir=%{cgidir} \
	httpdir=%{httpdir} \
	bindir=%{bindir} \
	sbindir=%{sbindir} \
	sharedir=%{sharedir} \
	docdir=%{docdir} \
	landir=%{landir} all

%install
/usr/sbin/groupadd -g 56 -o -r localham 2> /dev/null || :
/usr/sbin/useradd -r -o -g localham -u 61 -s /bin/false -c "DpBox account" -d /var/spool/dpbox dpbox 2> /dev/null || :
%define INSTALL_DIR install -d -m755
%define INSTALL_FILE install -m644
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
ln -sf cgi/README README.cgi
ln -sf cgi/dpboxcgi/README README.dpboxcgi
cd source
%{INSTALL_DIR} $RPM_BUILD_ROOT%{httpdir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{cgidir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{doclink}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{initdir}
make prefix=$RPM_BUILD_ROOT%{prefix} \
	spooldir=$RPM_BUILD_ROOT%{spooldir} \
	confdir=$RPM_BUILD_ROOT%{confdir} \
	cgidir=$RPM_BUILD_ROOT%{cgidir} \
	httpdir=$RPM_BUILD_ROOT%{httpdir} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	sbindir=$RPM_BUILD_ROOT%{sbindir} \
	sharedir=$RPM_BUILD_ROOT%{sharedir} \
	logdir=$RPM_BUILD_ROOT%{logdir} \
	landir=$RPM_BUILD_ROOT%{landir} \
	docdir=$RPM_BUILD_ROOT%{docdir} \
	doclink=$RPM_BUILD_ROOT%{doclink} \
	initdir=$RPM_BUILD_ROOT%{initdir} install
chown -R dpbox:localham $RPM_BUILD_ROOT%{spooldir}
chown -R dpbox:localham $RPM_BUILD_ROOT%{logdir}
chown -R dpbox:localham $RPM_BUILD_ROOT%{confdir}
chown -R dpbox:localham $RPM_BUILD_ROOT%{sharedir}
chown dpbox:localham $RPM_BUILD_ROOT%{sbindir}/dpbox
chown dpbox:localham $RPM_BUILD_ROOT%{bindir}/dpgate
for i in $RPM_BUILD_ROOT/%{cgidir}/* $RPM_BUILD_ROOT/usr/bin/dphttp ; do
  sed -e "s@$RPM_BUILD_ROOT@@g" < $i > xxxtmp
  mv xxxtmp $i
done

%pre
/usr/sbin/groupadd -g 56 -o -r localham 2> /dev/null || :
/usr/sbin/useradd -r -o -g localham -u 61 -s /bin/false -c "DpBox account" -d /var/spool/dpbox dpbox 2> /dev/null || :

%post
%{fillup_and_insserv dpbox}

%postun
%{insserv_cleanup}

%files
%doc README README.cgi README.dpboxcgi
%dir /etc/dpbox
%dir /etc/dpbox/sf
%dir /etc/dpbox/system
%dir %{httpdir}/dpbox
%dir %{httpdir}/dpbox/pic
%dir /usr/share/dpbox
%dir /usr/share/dpbox/doc
%dir /usr/share/dpbox/http
%dir /usr/share/dpbox/language
%dir /var/log/dpbox
%dir %attr(-,dpbox,localham) /var/spool/dpbox
%dir /var/spool/dpbox/crawler
%dir /var/spool/dpbox/document
%dir /var/spool/dpbox/fileserv
%dir /var/spool/dpbox/fileserv/incoming
%dir /var/spool/dpbox/fileserv/newbin
%dir /var/spool/dpbox/fileserv/temp7pl
%dir /var/spool/dpbox/import
%dir /var/spool/dpbox/indexes
%dir /var/spool/dpbox/infofiles
%dir /var/spool/dpbox/newmail
%dir /var/spool/dpbox/privserv
%dir /var/spool/dpbox/privserv/temp7pl
%dir /var/spool/dpbox/run
%dir /var/spool/dpbox/save
%dir /var/spool/dpbox/server
%dir /var/spool/dpbox/stat
%dir /var/spool/dpbox/stat/extusers
%config(noreplace) /etc/dpbox/dpbox.ini
%config(noreplace) /etc/dpbox/sf/db0xyz.sf
%config(noreplace) /etc/dpbox/system/badwords.box
%config(noreplace) /etc/dpbox/system/bcast.box
%config(noreplace) /etc/dpbox/system/beacon.box
%config(noreplace) /etc/dpbox/system/commands.box
%config(noreplace) /etc/dpbox/system/config.box
%config(noreplace) /etc/dpbox/system/convlt.box
%config(noreplace) /etc/dpbox/system/convtit.box
%config(noreplace) /etc/dpbox/system/cookies.doc
%config(noreplace) /etc/dpbox/system/digimap.stn
%config(noreplace) /etc/dpbox/system/prefix.inf
%config(noreplace) /etc/dpbox/system/prefix.sub
%config(noreplace) /etc/dpbox/system/prvcalls.box
%config(noreplace) /etc/dpbox/system/reject.box
%config(noreplace) /etc/dpbox/system/rubriken.box
%config(noreplace) /etc/dpbox/system/tcpip.box
%config(noreplace) /etc/dpbox/system/transfer.box
%config(noreplace) /etc/dpbox/system/unproto.box
%config(noreplace) /etc/dpbox/system/whotalks.lan
%config /etc/init.d/dpbox
/usr/bin/dpcodeconv
%attr(4755,dpbox,localham) /usr/bin/dpgate
/usr/bin/dphttp
/usr/bin/dpmybbs
/usr/bin/dpputlinks
%{cgidir}/dpbbs
%{cgidir}/dpbottom.html
%{cgidir}/dpcheck
%{cgidir}/dpcmd
%{cgidir}/dpdir
%{cgidir}/dpftr
%{cgidir}/dplist
%{cgidir}/dplist.neu
%{cgidir}/dploc
%{cgidir}/dpprefix
%{cgidir}/dpsertit
%{cgidir}/dptop.html
%{cgidir}/dpuser
%{httpdir}/dpbox/boxmain.html
%{httpdir}/dpbox/boxrub.html
%{httpdir}/dpbox/dboxmain.html
%{httpdir}/dpbox/dboxrub.html
%{httpdir}/dpbox/dindex.html
%{httpdir}/dpbox/index.html
%{httpdir}/dpbox/pic/arrow1.gif
%{httpdir}/dpbox/pic/icindex.gif
/usr/sbin/dpbox
/usr/sbin/rcdpbox
/usr/share/dpbox/doc/active_routing.txt
/usr/share/dpbox/doc/dpbox500.html
/usr/share/dpbox/doc/layer.gif
/usr/share/dpbox/doc/release.500
/usr/share/dpbox/doc/release.503
/usr/share/dpbox/doc/release.504
/usr/share/dpbox/doc/release.506
/usr/share/dpbox/doc/release.507
/usr/share/dpbox/doc/release.50708.german
/usr/share/dpbox/doc/release.508
/usr/share/dpbox/http/dpbottom.html
/usr/share/dpbox/http/dptop.html
/usr/share/dpbox/language/BS.ALL
/usr/share/dpbox/language/BS.LAN
/usr/share/dpbox/language/DL.ALL
/usr/share/dpbox/language/DL.LAN
/usr/share/dpbox/language/DLX.ALL
/usr/share/dpbox/language/DLX.LAN
/usr/share/dpbox/language/EA.ALL
/usr/share/dpbox/language/EA.LAN
/usr/share/dpbox/language/EY.ALL
/usr/share/dpbox/language/EY.LAN
/usr/share/dpbox/language/F.LAN
/usr/share/dpbox/language/G.ALL
/usr/share/dpbox/language/G.LAN
/usr/share/dpbox/language/HB.ALL
/usr/share/dpbox/language/HB.LAN
/usr/share/dpbox/language/HELP.BS
/usr/share/dpbox/language/HELP.DL
/usr/share/dpbox/language/HELP.DLX
/usr/share/dpbox/language/HELP.EA
/usr/share/dpbox/language/HELP.EY
/usr/share/dpbox/language/HELP.F
/usr/share/dpbox/language/HELP.G
/usr/share/dpbox/language/HELP.HB
/usr/share/dpbox/language/HELP.I
/usr/share/dpbox/language/HELP.NL
/usr/share/dpbox/language/HELP.OE1
/usr/share/dpbox/language/HELP.OK
/usr/share/dpbox/language/HELP.OZ
/usr/share/dpbox/language/HELP_SYS.BS
/usr/share/dpbox/language/HELP_SYS.DL
/usr/share/dpbox/language/HELP_SYS.DLX
/usr/share/dpbox/language/HELP_SYS.EY
/usr/share/dpbox/language/HELP_SYS.G
/usr/share/dpbox/language/HELP_SYS.HB
/usr/share/dpbox/language/HELP_SYS.OE1
/usr/share/dpbox/language/I.LAN
/usr/share/dpbox/language/NEWS.DL
/usr/share/dpbox/language/NL.LAN
/usr/share/dpbox/language/NLX.LAN
/usr/share/dpbox/language/OE1.ALL
/usr/share/dpbox/language/OE1.LAN
/usr/share/dpbox/language/OK.LAN
/usr/share/dpbox/language/OZ.LAN
/usr/share/dpbox/language/SP.LAN
/usr/share/dpbox/language/SPC.LAN
/usr/share/dpbox/language/SW.LAN
/var/spool/dpbox/crawler/crawler
/var/spool/dpbox/crawler/stopwords
/var/spool/dpbox/language
/var/spool/dpbox/proto
/var/spool/dpbox/run/7cor
/var/spool/dpbox/run/7get
/var/spool/dpbox/run/bsget
/var/spool/dpbox/run/bsjoin
/var/spool/dpbox/run/listarc
/var/spool/dpbox/run/mkboard
/var/spool/dpbox/run/mkreject
/var/spool/dpbox/run/mktrans
/var/spool/dpbox/run/new
/var/spool/dpbox/run/search
/var/spool/dpbox/sf
/var/spool/dpbox/system

%changelog -n dpbox
* Mon Apr 26 2004 - ro@suse.de
- use apache2
* Tue Apr 06 2004 - kukuk@suse.de
- fix default permission of dpgate
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system accounts [Bug #29611]
* Wed Jul 30 2003 - aj@suse.de
- Fix chown invocations.
* Tue Jul 01 2003 - ro@suse.de
- next try to clean traces of buildroot
* Fri Jun 27 2003 - ro@suse.de
- remove traces of buildroot from installed files
* Wed Jun 18 2003 - ro@suse.de
- added directories to filelist
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 02 2002 - ro@suse.de
- create user and group in preinstall
- added home-dir
* Wed Jun 12 2002 - ro@suse.de
- fix build independent of apache version
* Sun Jan 13 2002 - ro@suse.de
- removed START_ variable
* Mon Nov 05 2001 - poeml@suse.de
- fix filelist (use apache-devel-packages macro in #neededforbuild)
* Fri Jul 27 2001 - jreuter@suse.de
- init script now LSB compliant
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Mar 13 2001 - ro@suse.de
- fixed filelist
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Sat Dec 02 2000 - ka@suse.de
- fixed spec file (deleted creation of old /sbin/init.d/rc?.d directories)
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Tue Jul 04 2000 - ka@suse.de
- added fixed system files prefix.* (Uli, DK2GO)
* Mon Jun 05 2000 - ro@suse.de
- fixed specfile typo
* Mon May 29 2000 - ka@suse.de
- update to version 6.00.00
- changed /usr/doc/ to /usr/share/doc (FHS)
- added group tag to spec file
- made heavy use of macros
- moved configuration from rc.config to rc.config.d
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Tue Mar 07 2000 - ka@suse.de
- added patch (Joachim, DL8HBS) for fixing date/time problem with
  leap year
* Thu Nov 18 1999 - bs@suse.de
- added rc.config.dpbox to file list.
* Tue Oct 26 1999 - ka@suse.de
- added rc.config.dpbox
* Mon Oct 25 1999 - ka@suse.de
- initial release
- changed author's dpbox.init.d to SuSE style
